/vercel-domains | Type: Application | PCID required: Yes
Tools
vercel_domains_buy_domains
Buy multiple domains Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | No | — | Team Id |
contactInformation | object | Yes | — | The contact information for the domain. Some TLDs require additional contact information. Use the Get contact info schema endpoint to retrieve the required fields. |
domains | any[] | Yes | — | The domains value |
vercel_domains_buy_single_domain
Buy a domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | A valid domain name |
teamId | string | No | — | Team Id |
autoRenew | boolean | Yes | — | Whether the domain should be auto-renewed before it expires. This can be configured later through the Vercel Dashboard or the Update auto-renew for a domain endpoint. |
contactInformation | object | Yes | — | The contact information for the domain. Some TLDs require additional contact information. Use the Get contact info schema endpoint to retrieve the required fields. |
expectedPrice | number | Yes | — | Expected Price |
languageCode | string | No | — | The language code for the domain. For punycode domains, this must be provided. The list of supported language codes for a TLD can be retrieved from the Get TLD endpoint. |
years | number | Yes | — | The number of years to purchase the domain for. |
vercel_domains_create_or_transfer_domain
Add an existing domain to the Vercel platform Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
body | object | No | — | Request body |
vercel_domains_create_record
Create a DNS record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | The domain used to create the DNS record. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
body | object | Yes | — | Request body |
vercel_domains_delete_domain
Remove a domain by name Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | The name of the domain. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
vercel_domains_get_bulk_availability
Get availability for multiple domains Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | No | — | Team Id |
domains | any[] | Yes | — | an array of at most 50 item(s) |
vercel_domains_get_cert_by_id
Get cert by id Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The cert id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
vercel_domains_get_contact_info_schema
Get contact info schema Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | A valid domain name |
teamId | string | No | — | Team Id |
vercel_domains_get_domain
Get Information for a Single Domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | The name of the domain. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
vercel_domains_get_domain_auth_code
Get the auth code for a domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | A valid domain name |
teamId | string | No | — | Team Id |
vercel_domains_get_domain_availability
Get availability for a domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | A valid domain name |
teamId | string | No | — | Team Id |
vercel_domains_get_domain_config
Get a Domain’s configuration Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | The name of the domain. |
projectIdOrName | string | No | — | The project id or name that will be associated with the domain. Use this when the domain is not yet associated with a project. |
strict | object | No | — | When true, the response will only include the nameservers assigned directly to the specified domain. When false and there are no nameservers assigned directly to the specified domain, the response will include the nameservers of the domain’s parent zone. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
vercel_domains_get_domain_price
Get price data for a domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | A valid domain name |
years | string | No | — | The number of years to get the price for. If not provided, the minimum number of years for the TLD will be used. |
teamId | string | No | — | Team Id |
vercel_domains_get_domain_transfer_in
Get a domain’s transfer status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | A valid domain name |
teamId | string | No | — | Team Id |
vercel_domains_get_domains
List all the domains Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | number | No | — | Maximum number of domains to list from a request. |
since | number | No | — | Get domains created after this JavaScript timestamp. |
until | number | No | — | Get domains created before this JavaScript timestamp. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
vercel_domains_get_order
Get a domain order Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
orderId | string | Yes | — | A valid order ID |
teamId | string | No | — | Team Id |
vercel_domains_get_records
List existing DNS records Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | The domain value |
limit | string | No | — | Maximum number of records to list from a request. |
since | string | No | — | Get records created after this JavaScript timestamp. |
until | string | No | — | Get records created before this JavaScript timestamp. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
vercel_domains_get_supported_tlds
Get supported TLDs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | No | — | Team Id |
vercel_domains_get_tld
Get TLD Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
tld | string | Yes | — | A valid TLD name |
teamId | string | No | — | Team Id |
vercel_domains_get_tld_price
Get TLD price data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
tld | string | Yes | — | A valid TLD name |
years | string | No | — | The number of years to get the price for. If not provided, the minimum number of years for the TLD will be used. |
teamId | string | No | — | Team Id |
vercel_domains_issue_cert
Issue a new cert Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
cns | any[] | No | — | The common names the cert should be issued for |
vercel_domains_patch_domain
Update or move apex domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | The domain value |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
body | object | Yes | — | Request body |
vercel_domains_remove_cert
Remove cert Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The cert id to remove |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
vercel_domains_remove_record
Delete a DNS record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | The domain value |
recordId | string | Yes | — | Record Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
vercel_domains_renew_domain
Renew a domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | A valid domain name |
teamId | string | No | — | Team Id |
contactInformation | object | No | — | Contact Information |
expectedPrice | number | Yes | — | Expected Price |
years | number | Yes | — | The number of years to renew the domain for. |
vercel_domains_transfer_in_domain
Transfer-in a domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | A valid domain name |
teamId | string | No | — | Team Id |
authCode | string | Yes | — | The auth code for the domain. You must obtain this code from the losing registrar. |
autoRenew | boolean | Yes | — | Whether the domain should be auto-renewed before it expires. This can be configured later through the Vercel Dashboard or the Update auto-renew for a domain endpoint. |
contactInformation | object | Yes | — | Contact Information |
expectedPrice | number | Yes | — | Expected Price |
years | number | Yes | — | The number of years to renew the domain for once it is transferred in. This must be a valid number of transfer years for the TLD. |
vercel_domains_update_domain_auto_renew
Update auto-renew for a domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | A valid domain name |
teamId | string | No | — | Team Id |
autoRenew | boolean | Yes | — | Auto Renew |
vercel_domains_update_domain_nameservers
Update nameservers for a domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain | string | Yes | — | A valid domain name |
teamId | string | No | — | Team Id |
nameservers | any[] | Yes | — | The nameservers value |
vercel_domains_update_record
Update an existing DNS record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
recordId | string | Yes | — | The id of the DNS record |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
comment | string | No | — | A comment to add context on what this DNS record is for |
https | object | No | — | The https value |
mxPriority | integer | No | — | The MX priority value of the DNS record |
name | string | No | — | The name of the DNS record |
srv | object | No | — | The srv value |
ttl | integer | No | — | The Time to live (TTL) value of the DNS record |
type | string | No | — | The type of the DNS record |
value | string | No | — | The value of the DNS record |
vercel_domains_upload_cert
Upload a cert Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
ca | string | Yes | — | The certificate authority |
cert | string | Yes | — | The certificate |
key | string | Yes | — | The certificate key |
skipValidation | boolean | No | — | Skip validation of the certificate |

